CVE-2017-7742

medium
New! CVE Severity Now Using CVSS v3

The calculated severity for CVEs has been updated to use CVSS v3 by default. CVEs that do not have a CVSS v3 score will fall back CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Description

In libsndfile before 1.0.28, an error in the "flac_buffer_copy()" function (flac.c) can be exploited to cause a segmentation violation (with read memory access) via a specially crafted FLAC file during a resample attempt, a similar issue to CVE-2017-7585.

References

https://blogs.gentoo.org/ago/2017/04/11/libsndfile-invalid-memory-read-and-invalid-memory-write-in/

https://github.com/erikd/libsndfile/commit/60b234301adf258786d8b90be5c1d437fc8799e0

https://security.gentoo.org/glsa/201707-04

Details

Source: MITRE

Published: 2017-04-12

Updated: 2017-07-11

Type: CWE-119

Risk Information

CVSS v2

Base Score: 4.3

Vector: AV:N/AC:M/Au:N/C:N/I:N/A:P

Impact Score: 2.9

Exploitability Score: 8.6

Severity: MEDIUM

CVSS v3

Base Score: 5.5

Vector: CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H

Impact Score: 3.6

Exploitability Score: 1.8

Severity: MEDIUM

Vulnerable Software

Configuration 1

OR

cpe:2.3:a:libsndfile_project:libsndfile:*:*:*:*:*:*:*:* versions up to 1.0.27 (inclusive)

Tenable Plugins

View all (13 total)

IDNameProductFamilySeverity
132151EulerOS 2.0 SP3 : libsndfile (EulerOS-SA-2019-2616)NessusHuawei Local Security Checks
critical
131666EulerOS 2.0 SP2 : libsndfile (EulerOS-SA-2019-2513)NessusHuawei Local Security Checks
critical
130670EulerOS 2.0 SP5 : libsndfile (EulerOS-SA-2019-2208)NessusHuawei Local Security Checks
high
101335GLSA-201707-04 : libsndfile: Multiple vulnerabilitiesNessusGentoo Local Security Checks
medium
100590Ubuntu 14.04 LTS / 16.04 LTS / 16.10 / 17.04 : libsndfile vulnerabilities (USN-3306-1)NessusUbuntu Local Security Checks
high
100501openSUSE Security Update : libsndfile (openSUSE-2017-625)NessusSuSE Local Security Checks
high
100353SUSE SLED12 / SLES12 Security Update : libsndfile (SUSE-SU-2017:1367-1)NessusSuSE Local Security Checks
high
100121SUSE SLES11 Security Update : libsndfile (SUSE-SU-2017:1236-1)NessusSuSE Local Security Checks
high
99739Debian DLA-928-1 : libsndfile security updateNessusDebian Local Security Checks
medium
99703openSUSE Security Update : libsndfile (openSUSE-2017-514)NessusSuSE Local Security Checks
medium
99554FreeBSD : libsndfile -- multiple vulnerabilities (5a97805e-93ef-4dcb-8d5e-dbcac263bfc2)NessusFreeBSD Local Security Checks
medium
99462SUSE SLED12 / SLES12 Security Update : libsndfile (SUSE-SU-2017:1040-1)NessusSuSE Local Security Checks
medium
99460SUSE SLES11 Security Update : libsndfile (SUSE-SU-2017:1030-1)NessusSuSE Local Security Checks
medium